package com.shcd.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

import lombok.Data;

/**
 * 靠泊上港集团码头的集装箱船舶
 * @TableName SP_STATEMENT_SG
 */
@TableName(value ="GHJG_PORT_MANAGE.SP_STATEMENT_SG")
@Data
public class SpStatementSg implements Serializable {
    /**
     * 
     */
    @TableField(value = "ID")
    private String id;

    /**
     * 
     */
    @TableField(value = "REPORT_DATE")
    private String reportDate;

    /**
     * 使用岸电次数（艘次）
     */
    @TableField(value = "SHIP_USAGE")
    private BigDecimal shipUsage;

    /**
     * 同比
     */
    @TableField(value = "SHIP_USAGE_TON")
    private BigDecimal shipUsageTon;

    /**
     * 
     */
    @TableField(value = "CHARGE_TIME")
    private BigDecimal chargeTime;

    /**
     * 
     */
    @TableField(value = "CHARGE_TIME_TON")
    private BigDecimal chargeTimeTon;

    /**
     * 
     */
    @TableField(value = "ELECT_USAGE")
    private BigDecimal electUsage;

    /**
     * 
     */
    @TableField(value = "ELECT_USAGE_TON")
    private BigDecimal electUsageTon;

    /**
     * 
     */
    @TableField(value = "CREATE_TIME")
    private Date createTime;

//    /**
//     * 本月对应的用电次数合计合计值
//     */
//    @TableField(value = "SUM_SHIP_USAGE_NUM")
//    private BigDecimal sumShipUsageNum;
//
//    /**
//     * 当月对应用电次数的同比
//     */
//    @TableField(value = "SUM_SHIP_USAGE_TON")
//    private BigDecimal sumShipUsageTon;
//
//    /**
//     * 本月对应的合计值
//     */
//    @TableField(value = "SUM_CHARGE_TIME")
//    private BigDecimal sumChargeTime;
//
//    /**
//     * 本月对应的用电量合计
//     */
//    @TableField(value = "SUM_ELECT_USE")
//    private BigDecimal sumElectUse;
//
//    /**
//     * 本月对应的用电量合计同比
//     */
//    @TableField(value = "SUM_ELECT_USE_TON")
//    private BigDecimal sumElectUseTon;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}